
function BrowserController() {
	
	/*
	 *
	 * @return
	 */
	this.getCurrentTab = function() {
		var current = null;
		var rw = this.getRecentWindow();
		
		if(rw) {
			current = rw.content;
		}
		
		return current;
	}
	
	/*
	 *
	 * @return
	 */
	this.getRecentWindow = function() {
		var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"]
           .getService(Components.interfaces.nsIWindowMediator);
           
        return wm.getMostRecentWindow("navigator:browser");
	}
	
	/*
	 * 新規タブで開きます。
	 * @param url
	 * @param openIfNotRecentWindow
	 * @return 
	 */
	this.openAtNewTab = function(url, openIfNotRecentWindow) {
		var ok = false;
		
		var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"]
           .getService(Components.interfaces.nsIWindowMediator);
           
		var rw = wm.getMostRecentWindow("navigator:browser");
		
		if(rw) {
			rw.delayedOpenTab(url);
			ok = true;
		} else {
			if(openIfNotRecentWindow) {
				window.open(url);
			}
		}
		
		return ok;
	}
	
}