
function FavoriteTag() {

	this.tagArray = null;
	
	/*
	 *
	 */
	this.getFile = function() {
		var profDir = new File(CM_IO_PROFD);
		var dataDir = new File(profDir, "sakurastocks");
		
		if(!dataDir.exist())
			dataDir.mkdir();
		
		var file = new File(dataDir, "favtag.xml");
		
		return file;
	}
	
	/*
	 *
	 */
	this.load = function() {
		var file = this.getFile();
		
		if(file && file.exist()) {
			var ins = file.extablishInputStream();
			
			var parser = new DOMParser();
			var doc = parser.parseFromStream(ins, "UTF-8", file.size(), "text/xml");
			
			ins.close();
			
			var elems = doc.getElementsByTagName("tag");
			this.tagArray = new Array();
			
			for(var i = 0; i < elems.length; i++) {
				this.tagArray.push(elems.getAttribute("value"));
			}
		}
	}
	
	/*
	 *
	 */
	this.save = function() {
		var file = getFile();
		
		if(!file.exist()) {
			file.getParentFile().mkdir();
		}
	    
	    var out = file.establishConverterOutputStream("UTF-8");
	    out.writeString("<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n");
	    out.writeString("<favtag>\n");
	    
	    for(var i = 0; i < this.tagArray.length; i++) {
	    	out.writeString("  <tag ");
	    	out.writeString("value=\"" + this.tagArray[i] + "\" ");
	    	out.writeString("/>\n");
	    }
	    
	    out.writeString("</favtag>");
	    
	    out.close();
	}
	
}